Bug 220112 - sysutils/n98-magerun: Update to 1.97.30 and take maintainership
Summary: sysutils/n98-magerun: Update to 1.97.30 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-18 15:02 UTC by Lukasz Wasikowski
Modified: 2017-09-13 15:18 UTC (History)
2 users (show)

See Also:


Attachments
sysutils/n98-magerun svn diff updating to 1.97.30 (1.13 KB, patch)
2017-06-18 15:02 UTC, Lukasz Wasikowski
no flags Details | Diff
sysutils/n98-magerun svn diff updating to 1.97.30 (revised) (1.50 KB, patch)
2017-06-21 13:28 UTC, Lukasz Wasikowski
no flags Details | Diff
sysutils/n98-magerun svn diff updating to 1.98.0 (1.50 KB, patch)
2017-08-30 21:51 UTC, Lukasz Wasikowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Wasikowski 2017-06-18 15:02:06 UTC
Created attachment 183606 [details]
sysutils/n98-magerun svn diff updating to 1.97.30

Update to version 1.97.30 and take maintainership. Minor cleanup of Makefile.

portlint: OK (looks fine.)
testport: OK (poudriere: 10.3 and 11.0 on amd64 tested)
Comment 1 Lukasz Wasikowski 2017-06-21 11:04:26 UTC
It's not working right after installation, it should be closed till new patch.
Comment 2 Lukasz Wasikowski 2017-06-21 13:27:41 UTC
New patch is ready. So, again:

Update to version 1.97.30 and take maintainership. Minor cleanup of Makefile.

portlint: OK (looks fine.)
testport: OK (poudriere: 10.3 and 11.0 on amd64 tested)
Comment 3 Lukasz Wasikowski 2017-06-21 13:28:50 UTC
Created attachment 183674 [details]
sysutils/n98-magerun svn diff updating to 1.97.30 (revised)
Comment 4 Lukasz Wasikowski 2017-08-30 21:51:54 UTC
Created attachment 185938 [details]
sysutils/n98-magerun svn diff updating to 1.98.0

New version is out, so I'm updating. Could someone with commit bit look at it as it's hanging here for over two months now? Thanks!
Comment 5 Richard Gallamore freebsd_committer 2017-09-01 18:11:28 UTC
Can you tell me why you wish to move away from using GitHub?
Comment 6 Lukasz Wasikowski 2017-09-01 19:53:03 UTC
(In reply to Richard Gallamore from comment #5)

magerun.phar on GitHub is stub only file which downloads real magerun.phar file from https://files.magerun.net/, so I skipped GH step as it's not needed (nor wanted) in this port.

Here is GitHub magerun.phar: https://github.com/netz98/n98-magerun/blob/master/n98-magerun.phar
Comment 7 Kurt Jaeger freebsd_committer 2017-09-13 15:02:51 UTC
There's a version for magento2, too -- would it be useful to rename this port to
n98-magerun1 ? Is the magento2 port relevant ?
Comment 8 Kurt Jaeger freebsd_committer 2017-09-13 15:03:01 UTC
btw, testbuilds@work
Comment 9 Kurt Jaeger freebsd_committer 2017-09-13 15:18:30 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2017-09-13 15:18:40 UTC
A commit references this bug:

Author: pi
Date: Wed Sep 13 15:18:16 UTC 2017
New revision: 449800
URL: https://svnweb.freebsd.org/changeset/ports/449800

Log:
  sysutils/n98-magerun: update 1.97.12 -> 1.98.0

  - Submitter becomes maintainer

  PR:		220112
  Submitted by:	Lukasz Wasikowski <lukasz@wasikowski.net>
  Relnotes:	http://magerun.net/n98-magerun-12-release-bundle/

Changes:
  head/sysutils/n98-magerun/Makefile
  head/sysutils/n98-magerun/distinfo